summaryrefslogtreecommitdiff
path: root/src/jp2k-tst.sh
diff options
context:
space:
mode:
authormsheby <msheby@cinecert.com>2008-02-20 23:42:34 +0000
committermsheby <>2008-02-20 23:42:34 +0000
commit205957669e1b4502c579227e3bf6cc1a2bf296ea (patch)
treeb087105e276a742b01fd0ac238b280940bc74c87 /src/jp2k-tst.sh
parent06af2732e92552974e180f136a18c9a625d017d5 (diff)
Update autotools-relevant files.
Diffstat (limited to 'src/jp2k-tst.sh')
-rwxr-xr-xsrc/jp2k-tst.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/src/jp2k-tst.sh b/src/jp2k-tst.sh
new file mode 100755
index 0000000..c29c789
--- /dev/null
+++ b/src/jp2k-tst.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# JPEG 2000 tests
+
+mkdir -p ${TEST_FILES}/extract ${TEST_FILES}/plaintext
+
+${BUILD_DIR}/asdcp-test${EXEEXT} -c ${TEST_FILES}/write_test_jp2k.mxf ${TEST_FILES}/${TEST_FILE_PREFIX}
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+
+${BUILD_DIR}/asdcp-test${EXEEXT} -x ${TEST_FILES}/extract/${JP2K_PREFIX} ${TEST_FILES}/write_test_jp2k.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+for file in `ls ../test/${TEST_FILE_PREFIX}`; do \
+ echo "$file"; \
+ cmp ../test/${TEST_FILE_PREFIX}/$file ../test/extract/$file; \
+ if [ $? -ne 0 ]; then \
+ exit 1; \
+ fi; \
+done
+
+
+#${BUILD_DIR}/jp2k-test${EXEEXT} ${TEST_FILES}/${TEST_FILE_PREFIX}/MM_2k_XYZ_000000.j2c
+#if [ $? -ne 0 ]; then
+# exit 1
+#fi